ci:
  autoupdate_commit_msg: "chore: update pre-commit hooks"
  autofix_commit_msg: "style: pre-commit fixes"
  autoupdate_schedule: monthly

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-added-large-files
      - id: check-case-conflict
      - id: check-merge-conflict
      - id: check-symlinks
      - id: check-yaml
      - id: debug-statements
      - id: end-of-file-fixer
      - id: mixed-line-ending
      - id: requirements-txt-fixer
      - id: trailing-whitespace

  - repo: https://github.com/kynan/nbstripout
    rev: 0.8.0
    hooks:
      - id: nbstripout
        types_or: [jupyter]

  - repo: https://github.com/pre-commit/mirrors-clang-format
    rev: v19.1.3
    hooks:
      - id: clang-format
        types_or: [c++, c, cuda]

  - repo: https://github.com/charliermarsh/ruff-pre-commit
    rev: v0.7.4 # Use the latest version
    hooks:
      - id: ruff
        args: ["--fix", "--exit-non-zero-on-fix", "--show-fixes"]

  - repo: https://github.com/cheshirekow/cmake-format-precommit
    rev: v0.6.13
    hooks:
      - id: cmake-format
        types: [file]
        files: (\.cmake|CMakeLists.txt)(.in)?$
